Bug 226505 - Merge Review: ttcp
Merge Review: ttcp
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Package Reviews List
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 16:12 EST by Nobody's working on this, feel free to take it
Modified: 2011-08-30 08:01 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-30 08:01:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
ovasik: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 16:12:40 EST
Fedora Merge Review: ttcp

http://cvs.fedora.redhat.com/viewcvs/devel/ttcp/
Initial Owner: mmaslano@redhat.com
Comment 1 Ivana Varekova 2007-03-05 06:39:47 EST
rpmlint output:
srpm
W: ttcp summary-ended-with-dot A tool for testing TCP connections.
W: ttcp no-url-tag
W: ttcp setup-not-quiet

- add dist tag 
- change the BuildRoot to
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
- is it possible to add  %{?_smp_mflags}?
Comment 2 Marcela Mašláňová 2007-03-06 05:04:40 EST
no %{?_smp_mflags}? flags and they aren't needed, it's really small source.

Fixed.
Comment 3 Marcela Mašláňová 2007-03-07 03:57:35 EST
Old package, use nuttcp from extras. Review isn't needed.
Comment 4 Peter Lemenkov 2009-09-26 11:24:42 EDT
I'm afraid, that review still needed (until you'll remove it from distribution completely).
Comment 5 Marcela Mašláňová 2009-09-29 02:39:47 EDT
This package has a new maintainer for some time.
Comment 6 Parag AN(पराग) 2010-10-12 04:21:17 EDT
Can some one fix this package? This is failed to build in Fedora. If upstream is dead and no one looks using it then can this be retired?
Comment 7 Parag AN(पराग) 2010-12-08 05:03:37 EST
Unfortunately no time in future to work on this. Removing myself.
Comment 8 Ondrej Vasik 2011-08-18 06:35:43 EDT
Owner changed to Michal Sekletar, some issues discussed of the bugzilla, I'll do the formal review once fixed...
Comment 9 Ondrej Vasik 2011-08-23 09:43:42 EDT
[WARN] MUST: rpmlint must be run on the source rpm and all binary rpms the build
produces. The output should be posted in the review.

$ rpmlint ttcp-1.12-23.fc17.src.rpm i686/ttcp-1.12-23.fc17.i686.rpm ttcp.spec 
ttcp.i686: W: manual-page-warning /usr/share/man/man1/ttcp.1.gz 55: warning: `Ex' not defined
ttcp.i686: W: manual-page-warning /usr/share/man/man1/ttcp.1.gz 57: warning: `Ee' not defined
2 packages and 1 specfiles checked; 0 errors, 2 warnings.

Old manpage contains a few occurences of probably deprecated manpage macros. Probably could be fixed based on http://www.catb.org/~esr/doclifter/prepatch/ttcp.1.patch 

[OK] MUST: The package must be named according to the Package Naming
Guidelines.
[OK] MUST: The spec file name must match the base package %{name}, in the
format %{name}.spec unless your package has an exemption.
[OK] MUST: The package must meet the Packaging Guidelines.
[OK] MUST: The package must be licensed with a Fedora approved license and meet
the Licensing Guidelines .
[OK] MUST: The License field in the package spec file must match the actual
license.
[OK] MUST: If (and only if) the source package includes the text of the
license(s) in its own file, then that file, containing the text of the
license(s) for the package must be included in %doc.
[OK] MUST: The spec file must be written in American English.
[OK] MUST: The spec file for the package MUST be legible.
[OK] MUST: The sources used to build the package must match the upstream
source, as provided in the spec URL. Reviewers should use md5sum for this task.

$ sha256sum ttcp.c ttcp.c.1
e630a95788efacfee226dff3550e58ed908987ef96817efc8ad4862657a60c3b  ttcp.c
e630a95788efacfee226dff3550e58ed908987ef96817efc8ad4862657a60c3b  ttcp.c.1

[OK] MUST: The package MUST successfully compile and build into binary rpms on
at least one primary architecture.
[N/A] MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
ExcludeArch.
[OK] MUST: All build dependencies must be listed in BuildRequires.
[N/A] MUST: The spec file MUST handle locales properly. This is done by using
the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[N/A] MUST: Every binary RPM package (or subpackage) which stores shared
library files (not just symlinks) in any of the dynamic linker's default paths,
must call ldconfig in %post and %postun.
[OK] MUST: Packages must NOT bundle copies of system libraries.
[N/A] MUST: If the package is designed to be relocatable, the packager must
state this fact in the request for review, along with the rationalization for
relocation of that specific package.
[OK] MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which does
create that directory.
[OK] MUST: A Fedora package must not list a file more than once in the spec
file's %files listings. (Notable exception: license texts in specific
situations)
[OK] MUST: Permissions on files must be set properly. Executables should be set
with executable permissions, for example.
[OK] MUST: Each package must consistently use macros.
[OK] MUST: The package must contain code, or permissable content.
[OK] MUST: Large documentation files must go in a -doc subpackage.
[OK] MUST: If a package includes something as %doc, it must not affect the
runtime of the application. To summarize: If it is in %doc, the program must
run properly if it is not present.
[N/A] MUST: Header files must be in a -devel package.
[N/A] MUST: Static libraries must be in a -static package.
[N/A] MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), then library files that end in .so (without suffix) must go in
a -devel package.
[N/A] MUST: In the vast majority of cases, devel packages must require the base
package using a fully versioned dependency: Requires: %{name}%{?_isa} =
%{version}-%{release}
[N/A] MUST: Packages must NOT contain any .la libtool archives, these must be
removed in the spec if they are built.
[N/A] MUST: Packages containing GUI applications must include a %{name}.desktop
file, and that file must be properly installed with desktop-file-install in the
%install section.
[N/A] MUST: Packages must not own files or directories already owned by other
packages.
[OK] MUST: All filenames in rpm packages must be valid UTF-8.

[N/A] SHOULD: If the source package does not include license text(s) as a
separate file from upstream, the packager SHOULD query upstream to include it.
[N/A] SHOULD: The description and summary sections in the package spec file
should contain translations for supported Non-English languages, if available.
[OK] SHOULD: The reviewer should test that the package builds in mock.
[OK] SHOULD: The package should compile and build into binary rpms on all
supported architectures.
[OK] SHOULD: The reviewer should test that the package functions as described.
A package should not segfault instead of running, for example.
[N/A] SHOULD: If scriptlets are used, those scriptlets must be sane. This is
vague, and left up to the reviewers judgement to determine sanity.
[N/A] SHOULD: Usually, subpackages other than devel should require the base
package using a fully versioned dependency.
[N/A] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase,
and this is usually for development purposes, so should be placed in a -devel
pkg.
[N/A] SHOULD: If the package has file dependencies outside of /etc, /bin,
/sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the
file instead of the file itself.
[OK] SHOULD: your package should contain man pages for binaries/scripts. If it
doesn't, work with upstream to add them where they make sense.


A bit buggy manpage is not a blocker for review approval, APPROVED. Please close it CURRENTRELEASE once you fix the manpage.
Comment 10 Michal Sekletar 2011-08-30 08:01:08 EDT
Fixed in Rawhide -> http://lists.fedoraproject.org/pipermail/scm-commits/2011-August/653915.html -> CLOSED CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.